Bug 613842 - Cryptic/Misleading Error Message
Cryptic/Misleading Error Message
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libxml2 (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-12 18:42 EDT by David Le Sage
Modified: 2011-06-29 09:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:37:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Le Sage 2010-07-12 18:42:32 EDT
Description of problem:
I was having a lot of trouble debugging a DocBook file due to a rather cryptic and, ultimately, misleading error message.  I have spoken to Rudi about this problem and he feels it is worth logging to have it improved.  

Version-Release number of selected component (if applicable):
Publican 2.1-0.F13

How reproducible:
Every time.

Steps to Reproduce:
1. These were the contents of the .ent file:

<!ENTITY PRODUCT "JBoss Fusion">
<!ENTITY BOOKID "Fusion_Guide">
<!ENTITY YEAR "2010">
<!ENTITY HOLDER "Red Hat>

So the *actual* bug is that the last item is lacking a closing quotation mark.  None of these entities are referenced in the body of the book, though they are referenced by default in the Legal Notice, etc.
2. publican build --formats=pdf --langs=en-US

  
Actual results:
Misleading and unhelpful error message:

Beginning work on en-US
FATAL ERROR: parser:4 in Fusion_Guide.xml on line 14: Start tag expected, '<' not found
 at /usr/bin/publican line 622

Expected results:
An error message that points to the right file and gives a better indication of the issue.  Error message above may make internal sense to Publican but it does not help the user at all.

Additional info:
Comment 1 Jeff Fearn 2010-08-04 00:57:52 EDT
These error messages are generated by libxml, you should probably talk to the upstream to get this changed.
Comment 2 Jeff Fearn 2010-08-05 00:10:20 EDT
Here's an idea, I should move this bug to the right component ... 

Publican uses perl-XML-LibXML to access the error messages generated by libxml2, users are having trouble because the error messages aren't clear enough.

In this case the confusion is doubled because the entity file is external to the xml file and the error is reported against the xml file not the ent file.

e.g. from the Publican Users Guide "Users_Guide.xml"

<?xml version='1.0' encoding='utf-8' ?>
<!DOCTYPE bookinfo PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN" "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
<!ENTITY % BOOK_ENTITIES SYSTEM "Users_Guide.ent">
%BOOK_ENTITIES;
]>

If there is a bug in Users_Guide.ent it gets reported in Users_Guide.xml not Users_Guide.ent
Comment 3 Bug Zapper 2011-06-01 10:05:49 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-29 09:37:34 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.